<ion-content>
  <div style="width: 90%;margin-left: 5%;margin-right: 5%;margin-top: 15%">
    <p-autoComplete [(ngModel)]="name" [suggestions]="filteredMedications" (completeMethod)="filterMedication($event)"
      [size]="35" placeholder="Nombre del medicamento" [minLength]="4"></p-autoComplete>
    <br><br>
    <form [formGroup]="medicationForm">
      <ion-item>
        <ion-label position="floating" color="primary">Dosis (Cantidad)</ion-label>
        <ion-input type="number" formControlName="dosis" class="form-controll" required></ion-input>
      </ion-item>
      <ion-item style="margin-top: 10%">
        <ion-label position="floating" color="primary">Medida</ion-label>
        <ion-select formControlName="medida" class="form-controll" required>
          <ion-select-option value="ampolla">Ampolla(s)</ion-select-option>
          <ion-select-option value="aplicacion">Aplicación(es)</ion-select-option>
          <ion-select-option value="capsula">Cápsula(s)</ion-select-option>
          <ion-select-option value="gota">Gota(s)</ion-select-option>
          <ion-select-option value="gramo">Gramo(s)</ion-select-option>
          <ion-select-option value="inhalacion">Inhalación(es)</ion-select-option>
          <ion-select-option value="inyeccion">Inyección(es)</ion-select-option>
          <ion-select-option value="mililitro">Mililitro(s)</ion-select-option>
          <ion-select-option value="miligramo">Miligramo(s)</ion-select-option>
          <ion-select-option value="pastilla">Pastilla(s)</ion-select-option>
          <ion-select-option value="pieza">Pieza(s)</ion-select-option>
          <ion-select-option value="supusitorio">supusitorio(s)</ion-select-option>
          <ion-select-option value="unidad">Unidad(es)</ion-select-option>
        </ion-select>
      </ion-item>
      <ion-item style="margin-top: 10%">
        <ion-label position="floating" color="primary">Tiempo entre tomas (horas)</ion-label>
        <ion-input type="number" formControlName="tiempo_tomas" class="form-controll" required></ion-input>
      </ion-item>
      <ion-item style="margin-top: 10%">
        <ion-label position="floating" color="primary">Duracion del tratamiento (dias)</ion-label>
        <ion-input type="number" formControlName="duracion_tratamiento" class="form-controll" required></ion-input>
      </ion-item>
      <ion-item style="margin-top: 10%">
        <ion-label position="floating" color="primary">Comentario</ion-label>
        <ion-textarea rows="6" formControlName="comentario" class="form-controll" required></ion-textarea>
      </ion-item>

      <div style="margin-left: 20%;margin-top: 5%">
        <ion-button style="width: 35%" (click)="addMedicacion()" [disabled]="!medicationForm.valid">
          Añadir
        </ion-button>
        <ion-button style="width: 35%" (click)="goBack()">
          Cancelar
        </ion-button>
      </div>
    </form>
  </div>
</ion-content>